# ace::Word Class Reference

Word class holds all information for single input word entity. More...

`#include <word.h>`

List of all members.

## Public Member Functions
| Word (word_order_t order, word_order_t parent, string_index_t lemma, tag_index_t tag, dependency_index_t dependency) throw ()
| Constructor of Word instances expects data for all members.
dependency_index_t | dependency (void) const throw ()
word_order_t | order (void) const throw ()
word_order_t | parent (void) const throw ()
string_index_t | lemma (void) const throw ()
tag_index_t | tag (void) const throw ()
## Private Attributes
string_index_t | _lemma
| Word lemma.
tag_index_t | _tag
| Morphological tag.
word_order_t | _order
| Word order (index) in sentence.
word_order_t | _parent
| Word parent index in dependency tree.
dependency_index_t | _dependency
| Dependency type.

## Detailed Description

Word class holds all information for single input word entity.

## Constructor & Destructor Documentation

ace::Word::Word | ( | word_order_t | order,
|  | word_order_t | parent,
|  | string_index_t | lemma,
|  | tag_index_t | tag,
|  | dependency_index_t | dependency |
| ) |  |  | throw ()`[inline]`

Constructor of Word instances expects data for all members.

Parameters:

  | order | Word order in sentence.
  | parent | Index of parent word in sentence (0 if word is root).
  | lemma | Pointer to string with lemma form of given word.
  | tag | Pointer to string containing significant part of morphological tag.
  | dependency | Enumerator for dependency type of given word.

## Member Function Documentation

dependency_index_t ace::Word::dependency | ( | void |  | ) | const throw ()`[inline]`

Returns:
  Enumerator for dependency type of given word.

word_order_t ace::Word::order | ( | void |  | ) | const throw ()`[inline]`

Returns:
  Word order (index) in sentence.

word_order_t ace::Word::parent | ( | void |  | ) | const throw ()`[inline]`

Returns:
  Index of parent word in grammar dependency tree.

string_index_t ace::Word::lemma | ( | void |  | ) | const throw ()`[inline]`

Returns:
  Pointer to string with lemma form of given word.

tag_index_t ace::Word::tag | ( | void |  | ) | const throw ()`[inline]`

Returns:
  Pointer to string containing significant part of morphological tag.

## Member Data Documentation

string_index_t ace::Word::_lemma`[private]`

Word lemma.

tag_index_t ace::Word::_tag`[private]`

Morphological tag.

word_order_t ace::Word::_order`[private]`

Word order (index) in sentence.

word_order_t ace::Word::_parent`[private]`

Word parent index in dependency tree.

dependency_index_t ace::Word::_dependency`[private]`

Dependency type.

The documentation for this class was generated from the following file:

- proto/Source/word.h